#
# spec file for package susevbox (Version 1.1)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig g3utils gawk gcc gdbm gdbm-devel gettext gettext-devel glib glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gtk gzip i4l-base i4l-vbox info insserv klogd less libacl libattr libcom_err libgcc libnscd libpcap libstdc++ libtool libxcrypt libzio m4 make man mgetty mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl perl-Tk permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcl tcpd texinfo timezone unzip util-linux vim xorg-x11-libs zlib zlib-devel

Name:           susevbox
BuildRequires:  gtk i4l-vbox mgetty perl-Tk
License:        GPL
Group:          Hardware/Modem
Requires:       i4l-vbox mgetty mktemp perl_tk
Autoreqprov:    on
Summary:        A Configuration Tool for Vbox and an Answering Machine
Version:        1.1
Release:        1541.2
Source:         %{name}-%{version}.tar.bz2
Patch:          %{name}-%{version}.dif
Patch1:         %{name}-msgbox.diff
Patch2:         %{name}-cfgfix.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
SuSEVboxConf configures vbox2.0 for your Linux system. SuSEVbox serves
as an answering machine.



Authors:
--------
    Michael Burghart <mb@suse.de>

%debug_package
%prep
%setup 
%patch
%patch1
%patch2 -p1

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
install -d $RPM_BUILD_ROOT/usr/X11R6/bin
install -d $RPM_BUILD_ROOT/usr/bin
install -d $RPM_BUILD_ROOT/usr/lib/susevbox/messages
install -d $RPM_BUILD_ROOT/usr/sbin
install -d $RPM_BUILD_ROOT/etc
install -m 755 SuSEVbox $RPM_BUILD_ROOT/usr/X11R6/bin
install -m 700 SuSEVboxConf $RPM_BUILD_ROOT/usr/sbin
install -m 755 susevboxplay $RPM_BUILD_ROOT/usr/bin
install -m 755 susevboxconv $RPM_BUILD_ROOT/usr/bin
install -m 600 vboxconfrc $RPM_BUILD_ROOT/etc
install -m 644 vboxconf.hlp $RPM_BUILD_ROOT/usr/lib/susevbox
install -m 644 xvbox.hlp $RPM_BUILD_ROOT/usr/lib/susevbox
install -m 644 standard.msg $RPM_BUILD_ROOT/usr/lib/susevbox/messages
install -m 644 panic.msg $RPM_BUILD_ROOT/usr/lib/susevbox/messages
install -m 644 parkline.msg $RPM_BUILD_ROOT/usr/lib/susevbox/messages
install -m 644 timeout.msg $RPM_BUILD_ROOT/usr/lib/susevbox/messages
install -m 644 beep.msg $RPM_BUILD_ROOT/usr/lib/susevbox/messages
install -m 644 Fs.pm $RPM_BUILD_ROOT/usr/lib/susevbox
install -m 644 Path.pm $RPM_BUILD_ROOT/usr/lib/susevbox

%clean
# Clear up the mess
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-, root, root)
%config /etc/vboxconfrc
%doc README.SuSE susevboxrc-example
/usr/X11R6/bin/SuSEVbox
/usr/bin/susevboxconv
/usr/bin/susevboxplay
%dir /usr/lib/susevbox
%dir /usr/lib/susevbox/messages
/usr/lib/susevbox/Fs.pm
/usr/lib/susevbox/Path.pm
/usr/lib/susevbox/messages/beep.msg
/usr/lib/susevbox/messages/panic.msg
/usr/lib/susevbox/messages/parkline.msg
/usr/lib/susevbox/messages/standard.msg
/usr/lib/susevbox/messages/timeout.msg
/usr/lib/susevbox/vboxconf.hlp
/usr/lib/susevbox/xvbox.hlp
/usr/sbin/SuSEVboxConf

%changelog -n susevbox
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Nov 02 2005 - dmueller@suse.de
- don't build as root
* Wed Feb 18 2004 - kkeil@suse.de
- remove wavplay as requirement, was not needed
* Tue Sep 16 2003 - kkeil@suse.de
- fix various bugs in SuSEVboxConf (#24245)
  * wrong runlevels in vbox inittab entry
  * add missing port /dev/ttyIx in vboxgetty.conf
  * copy default standard.tcl if it don't exist
  * some cosmetic fixes
* Fri Jun 13 2003 - kkeil@suse.de
- fix filelist
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Mon Jul 22 2002 - kkeil@suse.de
- requires: i4l --> i4l-vbox
* Fri Nov 23 2001 - rvasice@suse.cz
- fix missing MsgBox from perl-Tk, use messageBox instead [#12388]
* Tue Aug 21 2001 - rvasice@suse.cz
- fix delete incoming messages bug [#9497]
* Tue May 29 2001 - ro@suse.de
- corrected changelog entries
* Fri Apr 06 2001 - kukuk@suse.de
- changed neededforbuild (perl_tk -> perl-Tk)
* Thu Feb 22 2001 - grimmer@suse.de
- added patch from Kurt Huwig <kurt@iku-netz.de> to
  fix "Missing braces on \N{} at /usr/X11R6/bin/SuSEVbox line 1191"
- bzipped sources
- spec file enhancements (BuildRoot, Macros, Group Tag)
* Wed Jun 07 2000 - ro@suse.de
- doc relocation
* Mon Jan 03 2000 - kkeil@suse.de
- use .wav format for susevboxplay (supported on more sound cards)
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Dec 08 1998 - mb@suse.de
- removed hard coded pathnames
- fixed standard entry for vbox.conf and typos
- fixed replacement of standard messages
* Mon Dec 07 1998 - mb@suse.de
- minor fixes for writing vbox.conf correctly, an entry was missing.
- help system modified
* Thu Dec 03 1998 - mb@suse.de
- new initial version 1.1
- provides an answer phone (SuSEVbox) and a vbox configuration
  tool (SuSEVboxConf).
- based on vbox2.0
